
-- +migrate Up notransaction

-- add clusters pending upgrade patch version status
ALTER TYPE "cluster_status" ADD VALUE IF NOT EXISTS 'PENDING_UPGRADE_PATCH_VERSION';

-- add task upgrade patch version type
ALTER TYPE "task_type" ADD VALUE IF NOT EXISTS 'UPGRADE_PATCH_VERSION';

-- +migrate Down

-- don't delete clusters pending upgrade patch version status since some clusters can have this status now

-- don't delete tasks upgrade patch version type since some task can have this type now