-- +migrate Up notransaction

-- add cluster status for pending nodegroup labels update
ALTER TYPE "cluster_status" ADD VALUE IF NOT EXISTS 'PENDING_UPDATE_NODEGROUP';

-- add task type for nodegroup labels update
ALTER TYPE "task_type" ADD VALUE IF NOT EXISTS 'UPDATE_NODEGROUP_LABELS';

-- add labels object into server_group table
ALTER TABLE "server_groups" ADD COLUMN "labels" jsonb;

-- +migrate Down

-- no teardown for types because they might be in use

ALTER TABLE "server_groups" DROP COLUMN "labels";
